<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$parametro_producto_edit = new parametro_producto_edit();

// Run the page
$parametro_producto_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$parametro_producto_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fparametro_productoedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	fparametro_productoedit = currentForm = new ew.Form("fparametro_productoedit", "edit");

	// Validate form
	fparametro_productoedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($parametro_producto_edit->id_parametro->Required) { ?>
				elm = this.getElements("x" + infix + "_id_parametro");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $parametro_producto_edit->id_parametro->caption(), $parametro_producto_edit->id_parametro->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($parametro_producto_edit->id_producto->Required) { ?>
				elm = this.getElements("x" + infix + "_id_producto");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $parametro_producto_edit->id_producto->caption(), $parametro_producto_edit->id_producto->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_id_producto");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($parametro_producto_edit->id_producto->errorMessage()) ?>");
			<?php if ($parametro_producto_edit->nombre_parametro->Required) { ?>
				elm = this.getElements("x" + infix + "_nombre_parametro");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $parametro_producto_edit->nombre_parametro->caption(), $parametro_producto_edit->nombre_parametro->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($parametro_producto_edit->name->Required) { ?>
				elm = this.getElements("x" + infix + "_name");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $parametro_producto_edit->name->caption(), $parametro_producto_edit->name->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fparametro_productoedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fparametro_productoedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fparametro_productoedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $parametro_producto_edit->showPageHeader(); ?>
<?php
$parametro_producto_edit->showMessage();
?>
<form name="fparametro_productoedit" id="fparametro_productoedit" class="<?php echo $parametro_producto_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="parametro_producto">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$parametro_producto_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($parametro_producto_edit->id_parametro->Visible) { // id_parametro ?>
	<div id="r_id_parametro" class="form-group row">
		<label id="elh_parametro_producto_id_parametro" class="<?php echo $parametro_producto_edit->LeftColumnClass ?>"><?php echo $parametro_producto_edit->id_parametro->caption() ?><?php echo $parametro_producto_edit->id_parametro->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $parametro_producto_edit->RightColumnClass ?>"><div <?php echo $parametro_producto_edit->id_parametro->cellAttributes() ?>>
<span id="el_parametro_producto_id_parametro">
<span<?php echo $parametro_producto_edit->id_parametro->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($parametro_producto_edit->id_parametro->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="parametro_producto" data-field="x_id_parametro" name="x_id_parametro" id="x_id_parametro" value="<?php echo HtmlEncode($parametro_producto_edit->id_parametro->CurrentValue) ?>">
<?php echo $parametro_producto_edit->id_parametro->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($parametro_producto_edit->id_producto->Visible) { // id_producto ?>
	<div id="r_id_producto" class="form-group row">
		<label id="elh_parametro_producto_id_producto" for="x_id_producto" class="<?php echo $parametro_producto_edit->LeftColumnClass ?>"><?php echo $parametro_producto_edit->id_producto->caption() ?><?php echo $parametro_producto_edit->id_producto->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $parametro_producto_edit->RightColumnClass ?>"><div <?php echo $parametro_producto_edit->id_producto->cellAttributes() ?>>
<span id="el_parametro_producto_id_producto">
<input type="text" data-table="parametro_producto" data-field="x_id_producto" name="x_id_producto" id="x_id_producto" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($parametro_producto_edit->id_producto->getPlaceHolder()) ?>" value="<?php echo $parametro_producto_edit->id_producto->EditValue ?>"<?php echo $parametro_producto_edit->id_producto->editAttributes() ?>>
</span>
<?php echo $parametro_producto_edit->id_producto->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($parametro_producto_edit->nombre_parametro->Visible) { // nombre_parametro ?>
	<div id="r_nombre_parametro" class="form-group row">
		<label id="elh_parametro_producto_nombre_parametro" for="x_nombre_parametro" class="<?php echo $parametro_producto_edit->LeftColumnClass ?>"><?php echo $parametro_producto_edit->nombre_parametro->caption() ?><?php echo $parametro_producto_edit->nombre_parametro->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $parametro_producto_edit->RightColumnClass ?>"><div <?php echo $parametro_producto_edit->nombre_parametro->cellAttributes() ?>>
<span id="el_parametro_producto_nombre_parametro">
<textarea data-table="parametro_producto" data-field="x_nombre_parametro" name="x_nombre_parametro" id="x_nombre_parametro" cols="35" rows="4" placeholder="<?php echo HtmlEncode($parametro_producto_edit->nombre_parametro->getPlaceHolder()) ?>"<?php echo $parametro_producto_edit->nombre_parametro->editAttributes() ?>><?php echo $parametro_producto_edit->nombre_parametro->EditValue ?></textarea>
</span>
<?php echo $parametro_producto_edit->nombre_parametro->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($parametro_producto_edit->name->Visible) { // name ?>
	<div id="r_name" class="form-group row">
		<label id="elh_parametro_producto_name" for="x_name" class="<?php echo $parametro_producto_edit->LeftColumnClass ?>"><?php echo $parametro_producto_edit->name->caption() ?><?php echo $parametro_producto_edit->name->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $parametro_producto_edit->RightColumnClass ?>"><div <?php echo $parametro_producto_edit->name->cellAttributes() ?>>
<span id="el_parametro_producto_name">
<textarea data-table="parametro_producto" data-field="x_name" name="x_name" id="x_name" cols="35" rows="4" placeholder="<?php echo HtmlEncode($parametro_producto_edit->name->getPlaceHolder()) ?>"<?php echo $parametro_producto_edit->name->editAttributes() ?>><?php echo $parametro_producto_edit->name->EditValue ?></textarea>
</span>
<?php echo $parametro_producto_edit->name->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$parametro_producto_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $parametro_producto_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $parametro_producto_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$parametro_producto_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$parametro_producto_edit->terminate();
?>